package com.bocloud.ims.entity.resource.azure.network;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: ResourcePublicIPAddressRelation
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/1/6 17:23
 */
@Table("resource_public_ip_address_relation")
public class ResourcePublicIPAddressRelation {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("ip_id")
    private Long ipId;
    @Column("resource_id")
    private Long resourceId;
    @Column("resource_type")
    private String resourceType;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getIpId() {
        return ipId;
    }

    public void setIpId(Long ipId) {
        this.ipId = ipId;
    }

    public Long getResourceId() {
        return resourceId;
    }

    public void setResourceId(Long resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }
}